<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.server.legacy-connection-factory">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="auto-group,block-on-acknowledge,block-on-durable-send,block-on-non-durable-send,cache-large-message-client,call-failover-timeout,call-timeout,client-failure-check-period,client-id,compress-large-messages,confirmation-window-size,connection-load-balancing-policy-class-name,connection-ttl,connectors,consumer-max-rate,consumer-window-size,discovery-group,dups-ok-batch-size,entries,factory-type,failover-on-initial-connection,group-id,ha,initial-connect-attempts,initial-message-packet-size,max-retry-interval,min-large-message-size,pre-acknowledge,producer-max-rate,producer-window-size,reconnect-attempts,retry-interval,retry-interval-multiplier,scheduled-thread-pool-max-size,thread-pool-max-size,transaction-batch-size,use-global-pools"/>
        <elem name="addr-params" value="profile,subsystem,server,legacy-connection-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="auto-group" nillable="true"/>
        <param name="server" feature-id="true"/>
        <param name="confirmation-window-size" nillable="true"/>
        <param name="connectors" nillable="true" type="List&lt;String&gt;"/>
        <param name="producer-window-size" nillable="true"/>
        <param name="retry-interval" nillable="true"/>
        <param name="failover-on-initial-connection" nillable="true"/>
        <param name="group-id" nillable="true"/>
        <param name="consumer-max-rate" nillable="true"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="dups-ok-batch-size" nillable="true"/>
        <param name="call-timeout" nillable="true"/>
        <param name="block-on-durable-send" nillable="true"/>
        <param name="transaction-batch-size" nillable="true"/>
        <param name="thread-pool-max-size" nillable="true"/>
        <param name="compress-large-messages" nillable="true"/>
        <param name="block-on-non-durable-send" nillable="true"/>
        <param name="connection-ttl" nillable="true"/>
        <param name="consumer-window-size" nillable="true"/>
        <param name="initial-message-packet-size" nillable="true"/>
        <param name="min-large-message-size" nillable="true"/>
        <param name="client-id" nillable="true"/>
        <param name="block-on-acknowledge" nillable="true"/>
        <param name="discovery-group" nillable="true"/>
        <param name="max-retry-interval" nillable="true"/>
        <param name="cache-large-message-client" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="legacy-connection-factory" feature-id="true"/>
        <param name="producer-max-rate" nillable="true"/>
        <param name="reconnect-attempts" nillable="true"/>
        <param name="use-global-pools" nillable="true"/>
        <param name="pre-acknowledge" nillable="true"/>
        <param name="factory-type" nillable="true"/>
        <param name="client-failure-check-period" nillable="true"/>
        <param name="entries" type="List&lt;String&gt;"/>
        <param name="connection-load-balancing-policy-class-name" nillable="true"/>
        <param name="ha" nillable="true"/>
        <param name="retry-interval-multiplier" nillable="true"/>
        <param name="initial-connect-attempts" nillable="true"/>
        <param name="scheduled-thread-pool-max-size" nillable="true"/>
        <param name="call-failover-timeout" nillable="true"/>
    </params>
</feature-spec>